Subject: Re: linux-next: unnecessary merge in the v4l-dvb tree

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Feb 2018 13:44:07 -0800

Linus Torvalds <[email-masked]> writes:

> Maybe we could just tell people to have something like
>
>        git config --global alias.update pull --ff-only
>
> and use that for "try to update to upstream".

I guess our mails crossed.  I admit that I indeed wondered why you
were not giving your usual "downstream shouldn't do pointless pull
from upstream" briefly but focused too much on how to tweak the
default without thinking through.

But I wonder why "update to upstream" is merging a signed tag in the
first place.  Wouldn't downstream's "try to keep up with" pull be
grabbing from branch tips, not tags?